{#
  Component Name: Wide Card
  Attributs:
	- title (String)
  - thumbnail (Array)
		- item (Entity)
		- alt (String)
	- introduction (String)
	- path (Arary)
		- name (String)
		- args (Array)
#}

<div class="wide-card">
	{% if title is defined and title %}
		<h3 class="title title--2 wide-card__title">{{ title }}</h3>
	{% endif %}

	<div class="wide-card__body">
		{% if thumbnail is defined and thumbnail %}
			<div class="wide-card__image {{ (big is defined and big ? 'wide-card__image--big' : '') }}">
				{% if path is defined and path %}
					<a href="{{ path('' ~ path.name ~ '', path.args) }}">
					{% endif %}
					{% if big %}
						<img src="{{ vich_uploader_asset(thumbnail.item, 'imageFile') | imagine_filter('ebook_big_card') }}" alt="{{ thumbnail.alt }}">
					{% else %}
						<img src="{{ vich_uploader_asset(thumbnail.item, 'imageFile') | imagine_filter('ebook_card') }}" alt="{{ thumbnail.alt }}">
					{% endif %}
					{% if path is defined and path %}
					</a>
				{% endif %}
			</div>
		{% endif %}

		<div class="wide-card__content">
			{% if thumbnail is defined and thumbnail %}
				{{ introduction|raw }}
			{% endif %}

			<div class="buttons">
				{% for button in buttons %}
					{% include 'components/_button.html.twig' with {
						'class': button.class,
						'type': button.type,
						'path': button.path,
						'label': button.label,
					} %}
				{% endfor %}
			</div>
		</div>
	</div>
</div>
